@import '../../../../assets/style/variables.scss';

.filter {
    box-shadow: 2px 2px 4px rgba(0,0,0,0.15);

    .filter__btn {
        background-color: lighten($color: $primaryBg, $amount: 92) !important;
        color: #000 !important;
        // outline: none !important;
        border:none;
        box-shadow: none !important;
        &:not([class~="collapsed"])::after {
            background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg'  viewBox='0 0 16 16' fill='%23F0AD13'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 1-.708z'/%3e%3c/svg%3e");

        }
    }
    .filter__checkbox {
        position: absolute;
        z-index: -1;
        opacity: 0;
        label {
            display: inline-flex;
            align-items: center;
            user-select: none;
        }

    }
    .filter__checkbox+label {
        display: inline-flex;
            align-items: center;
            user-select: none;
    }
    .filter__checkbox+label::before {
        content: '';
        display: inline-block;
        width: 1em;
        height: 1em;
        flex-shrink: 0;
        flex-grow: 0;
        border: 1px solid #adb5bd;
        border-radius: 0.25em;
        margin-right: 0.5em;
        background-repeat: no-repeat;
        background-position: center center;
        background-size: 50% 50%;
    }
    .filter__checkbox:checked+label::before {
        border-color: $primary;
        background-color: $primary;
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3e%3c/svg%3e");
    }
    .filter__checkbox:not(:disabled):not(:checked)+label:hover::before {
        border-color: #b3d7ff;
    }
    .filter__checkbox:not(:disabled):active+label::before {
        background-color: #b3d7ff;
        border-color: #b3d7ff;
    }
    .filter__checkbox:disabled+label::before {
        background-color: #e9ecef;
    }
}
    


